<a href="https://authlib.org/"><img src="https://authlib.org/logo.png" align="right" width="140" /></a>

# Authlib

<a href="https://travis-ci.org/lepture/authlib"><img src="https://api.travis-ci.org/lepture/authlib.svg?branch=master" alt="Build Status"></a>
<a href="https://codecov.io/gh/lepture/authlib?branch=master"><img src="https://codecov.io/gh/lepture/authlib/branch/master/graph/badge.svg" alt="Coverage Status"></a>
<a href="https://pypi.python.org/pypi/authlib/"><img src="https://img.shields.io/pypi/wheel/authlib.svg?style=flat" alt="Wheel Status"></a>

Authlib is an ambitious authentication library for OAuth 1, OAuth 2, OpenID
clients, servers and more.

Authlib is compatible with Python2.7+ and Python3.5+.

## Spec Implementations

Lovely features that Authlib has built-in:

- [x] RFC5849: The OAuth 1.0 Protocol
- [x] RFC6749: The OAuth 2.0 Authorization Framework
- [x] RFC6750: The OAuth 2.0 Authorization Framework: Bearer Token Usage
- [x] RFC7009: OAuth 2.0 Token Revocation
- [ ] RFC7662: OAuth 2.0 Token Introspection
- [ ] OpenID Connect 1.0 (Client is supported)

And more will be added.

## Framework Integrations

Framework integrations with current specification implementations:

- [x] Requests OAuth 1 Session
- [x] Requests OAuth 2 Session
- [x] Flask OAuth 1/2 Client
- [x] Django OAuth 1/2 Client
- [x] Flask OAuth 1 Server
- [x] Flask OAuth 2 Server
- [ ] Django OAuth 1 Server
- [ ] Django OAuth 2 Server


## Security Reporting

If you found security bugs which can not be public, please send me
email at <me@lepture.com>. Attachment with patch is welcome.

## Useful Links

1. Take a look at [Authlib Homepage](https://authlib.org/)
2. Get more information with [Authlib Documentation](https://docs.authlib.org/)
3. Have a taste with [Authlib Playground](https://play.authlib.org/)
4. Stay tuned with [Authlib Newsletter](https://tinyletter.com/authlib)
5. Get latest news via [Authlib on Twitter](https://twitter.com/authlib)
6. Ask questions on StackOverflow with [Authlib Tag](https://stackoverflow.com/questions/tagged/authlib)

## License

Authlib is licensed under LGPLv3. Please see LICENSE for licensing details.

If this license does not fit your company, consider to purchase a commercial
license.

Find more information on <https://authlib.org/support#commercial-license>
